/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 27.04.2015
  * @author Michael Ziemke, Koeln fr LLG
  */

public class ConMorsebaum {
  private static Morsebaum meinMorsebaum;
  private static String testCode = ".._. . .... .-.. . .-. ..-. .-. . ..";
  
  public static void main(String[] args) {
    // Morsebaum erzeugen:
    erzeugeUndPruefe (true);  // Morsebaum ohne Umlaute
    erzeugeUndPruefe (false);  // Morsebaum mit Umlauten
    // Morse-Code decodieren:    
    System.out.println("\nCode: " + testCode);
    System.out.println("Text: " + meinMorsebaum.morseDecodieren(testCode));
  } // end of main
  
  private static void erzeugeUndPruefe (boolean pNurAlphabet)
  {
    String nicht = "";
    if (pNurAlphabet)
    {
      System.out.println("\nMorsebaum ohne Umlaute:");
    } else {
      System.out.println("\nMorsebaum mit Umlauten:");
    } // end of if-else
    meinMorsebaum = new Morsebaum(pNurAlphabet);
      System.out.println ("PrfString: " + meinMorsebaum.getPruefString());
      System.out.println ("BaumString: " + meinMorsebaum.getBaumString());
    if (!meinMorsebaum.pruefeBaum()) {
      nicht = "nicht ";
    } // end of if
    System.out.println("Ihr Morsebaum ist " + nicht + "korrekt!");
  }
} // end of class ConMorsebaum
